Subject: Re: Fwd: New Version Notification for draft-bradner-rfc3979bis-05.txt

From: Thomas Narten <[email-masked]>
Date: Wed, 12 Jun 2013 12:41:17 -0400

Scott,

Thanks for getting a revision out we could look at.

Looking at the diffs, the new version still seems not quite right to
me. There was wording introduced in the -04 version that is still in
the new revision. Specifically:

>    k. "Participating in an IETF discussion or activity": means making a
>       Contribution, as described above, or in any other way acting in
>       order to influence the outcome of a discussion relating to the
>       IETF Standards Process.  Without limiting the generality of the
>       foregoing, participating in any part of a session at a live IETF
>       meeting is deemed to mean participating in the entire session.

Per discussion we had since Orlando, I don't think we don't want to
say or imply that participating in one part of a meeting automatically
implies participating "in the entire session".

"Participation" (in the sense of defining a "contribution") needs to
be scoped to the topic under discussion. An entire session can cover
very many completely different topics (e.g., completely different
drafts).

The "participating in an IETF discussion or activity" definition is
new to this ID. It does not appear in RFC 3979.

In thinking about how to fix the language, I think the issue is that
adding a new definition of "participating in", is effectively
bordering on redefining what "making a contribution" is. But we
already have a definition for that. If that defintion is not
sufficient, what is missing from it? And if there is a problem,
shouldn't we further clarify that definition then?

When defining a contribution (or "participating in an IETF discussion
or activity") one really has to scope that to the specific activity
one is participating in. But, that really needs to be about a topic or
technology (i.e., in many/most cases a specific ID -- which is where
the disclosure obligation really kicks in).  If you try to apply the
scope to a more artificial boundary (e.g., a WG "meeting" or
"session"), I think we may be getting into trouble.

Another way to look at it, it seems to me that the real obligation is
already (and has been) well defined in 5.1.1 A:

>  A. Any Contributor who reasonably and personally knows of IPR meeting
>       the conditions of Section 5.6 which the Contributor believes
>       Covers or may ultimately Cover his or her written Contribution
>       (other than a Contribution that is not intended to be used as an
>       input into the IETF Standards Process), or which the Contributor
>       reasonably and personally knows his or her employer or sponsor may
>       assert against Implementing Technologies based on such written
>       Contribution, must make a disclosure in accordance with this
>       Section 5.

Why is the above not sufficient?

To further tease apart the proposed text in -05:

>    k. "Participating in an IETF discussion or activity": means making a
>       Contribution, as described above, or in any other way acting in
>       order to influence the outcome of a discussion relating to the
>       IETF Standards Process.

This seems OK, not really adding anything new.

>       Without limiting the generality of the
>       foregoing, participating in any part of a session at a live IETF
>       meeting is deemed to mean participating in the entire session.

Per above, IMO too broad.

>       Sending a message to an email list is deemed to constitute
>       participating in the associated email discussion for its entire
>       duration and any successor email discussions.

I'm OK with the first part, but only partly with the latter. How does
one define "for its entire duration"? If we are talking about a thread
that continues for a few days or a couple of weeks, no problem. If a
thread goes on for several months (rare, but not unheard of), and
someone tunes out and stops participating, what does that imply? And
defining what constitues an "email discussion for its entire duration"
is a judgement call (i.e., what happens if the subject changes few
times??)

> In contrast,
>       attending a session at a live IETF meeting without making a
>       Contribution or acting in order to influence the outcome of a
>       discussion relating to the IETF Standards Process, subscribing to
>       an IETF email list or reading messages received from an IETF email
>       list without responding or sending any messages to the list do not
>       constitute participation in the relevant IETF discussion.

I think the above is additional clarification that we've come to in
the last few months. I'm fine with keeping this somewhere. But do we
really want to add a new definition of "participation" that at least
partially overlaps with "contribution", when "contribution" is really
the key definition that matters?

Thomas

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 27 Jun 2013 12:12:42 +1200

Thomas,

I've been mulling this over for a couple of weeks. Some
comments below:

> implies participating "in the entire session".

That's fair comment, but who decides where to draw the line? "In the
entire session" is about the only fully objective criterion. Alternatives
such as "participating in part of the discussion of a given topic...
is deemed to mean participating in all discussion of that topic" seem
to be too elastic to be much use (or would at any rate be something
to be argued over during litigation).

> new to this ID. It does not appear in RFC 3979.

True, but the word "participating" without a definition was clearly
confusing.

> shouldn't we further clarify that definition then?

The best fix I can think of is to get rid of the word "participating"
completely, with whatever deletions and rewriting that leads to.

> Why is the above not sufficient?

Good point; maybe we are simply trying to say too much.

   Brian

> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipr-wg
>

---

From: "Black, David" <[email-masked]>
Date: Thu, 27 Jun 2013 00:15:21 -0400

> to be argued over during litigation).

Uhm - "in any other way acting in order to influence" is not objective.
Having the session scope be objective does not result in a fully objective
criterion, so I'd just drop the "Without limiting ..." sentence.

> > Why is the above not sufficient?

It's limited to written contributions.  The k text above also covers influencing
discussions.  

Thanks,
--David

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Brian E Carpenter
> Sent: Wednesday, June 26, 2013 8:13 PM
> To: Thomas Narten
> Cc: Bradner, Scott; [email-masked]
> Subject: Re: Fwd: New Version Notification for draft-bradner-rfc3979bis-05.txt
> 
> Thomas,
>

---

From: Michael Cameron <[email-masked]>
Date: Thu, 27 Jun 2013 16:11:17 +0000

Another vote for dropping the "Without limiting..." sentence.

Before addressing the issue of whether "participating" in part of a live session means participating in the entire live session, we should confirm what "participating" means. Merely signing the blue sheet at a live session does not necessarily mean that a person is participating in that session.  In other words, implicit in the term participating is the requirement that one is trying to influence the outcome of an IETF standards process. As I recall, this tracks with what was agreed in Orlando--that participating requires more than passive observation at a live IETF meeting, just as merely receiving e-mails from a WG Discussion List does not mean one has met the standard for participating.

The focus should be on those who are actively influencing the outcome of discussions related to an IETF standards process (whether by formal Contributions, comments to the WG list and/or speaking at the microphone at an IETF session)  Most IETF attendees are interested in only a subset of the many sessions available at a live IETF Meeting--they often passively attend other sessions out of curiosity and/or to inform their work in the WGs in which they are participating (as defined above). As a result, in any particular live session there may be more passive attendees in the room compared to the active participants. Imposing IPR disclosure obligations on passive attendees would tend to discourage their attendance and dampen cross-collaboration and sharing of ideas across WGs. 

Thanks,
--Mike

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Black, David
Sent: Wednesday, June 26, 2013 11:15 PM
To: Brian E Carpenter
Cc: [email-masked]
Subject: RE: Fwd: New Version Notification for draft-bradner-rfc3979bis-05.txt

> > say or imply that participating in one part of a meeting 
> > automatically implies participating "in the entire session".
> 
> entire session" is about the only fully objective criterion. 
> Alternatives such as "participating in part of the discussion of a given topic...
> to be too elastic to be much use (or would at any rate be something to 
> be argued over during litigation).

Uhm - "in any other way acting in order to influence" is not objective.
Having the session scope be objective does not result in a fully objective criterion, so I'd just drop the "Without limiting ..." sentence.

> > Another way to look at it, it seems to me that the real obligation 
> > is already (and has been) well defined in 5.1.1 A:
> >

It's limited to written contributions.  The k text above also covers influencing discussions.  

Thanks,
--David

> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Brian E Carpenter
> I've been mulling this over for a couple of weeks. Some comments 
> below:
> 
> > say or imply that participating in one part of a meeting 
> > automatically implies participating "in the entire session".
> 
> entire session" is about the only fully objective criterion. 
> Alternatives such as "participating in part of the discussion of a given topic...
> to be too elastic to be much use (or would at any rate be something to 
> be argued over during litigation).
> 
> >
> > When defining a contribution (or "participating in an IETF 
> > discussion or activity") one really has to scope that to the 
> > specific activity one is participating in. But, that really needs to 
> > be about a topic or technology (i.e., in many/most cases a specific 
> > ID -- which is where the disclosure obligation really kicks in).  If 
> > you try to apply the scope to a more artificial boundary (e.g., a WG 
> > "meeting" or "session"), I think we may be getting into trouble.
> >
> > Another way to look at it, it seems to me that the real obligation 
> > is already (and has been) well defined in 5.1.1 A:
> >
> > I'm OK with the first part, but only partly with the latter. How 
> > does one define "for its entire duration"? If we are talking about a 
> > thread that continues for a few days or a couple of weeks, no 
> > problem. If a thread goes on for several months (rare, but not 
> > unheard of), and someone tunes out and stops participating, what 
> > does that imply? And defining what constitues an "email discussion for its entire duration"
> > partially overlaps with "contribution", when "contribution" is 
> > really the key definition that matters?
> >
> > Thomas
> >

---

From: Barry Leiba <[email-masked]>
Date: Thu, 27 Jun 2013 16:12:17 -0400

> Good point; maybe we are simply trying to say too much.

Indeed, on "say too much".  It's absolutely clear to me that there are
things we need to clarify.  But let's be careful how we go about that.
 If our goal is to make the rules ungameable, we will fail.  If our
goal is to make the rules a perfect (or close to that) defense against
people who are determined to behave badly, we will fail.  Our goal
needs to be to make it very clear how we want people to behave.

And then, as I said on the mic at the BoF, we need to balance the
damage caused by a few people behaving badly against the damage caused
by making rules that drive away productive, desired participants
because their lawyers won't let them enter the room.

I'm perfectly happy to wield a twibil when someone pretty obviously
skirts the rules to sneak something by.  I'm perfectly happy to give
people the benefit of the doubt on that most of the time.  I'm not at
all happy when someone says, "I can't participate in the FUBAR working
group at all, because the IPR rules are too broad."

Barry